net.sf.jasperreports.charts

## Interface JRThermometerPlot

- All Superinterfaces:
    java.lang.Cloneable, JRChartPlot, JRCloneable
  All Known Implementing Classes:
    JRBaseThermometerPlot, JRDesignThermometerPlot, JRFillThermometerPlot

      public interface JRThermometerPlot
      extends JRChartPlot

  Represents the display options of a Thermometer chart. A Thermometer chart consists of the outline of a thermometer, a scale showing the reading of the thermometer, three optional ranges corresponding to "good", "warning" and "critical", and the textual display of the value.
  Version:
    $Id: JRThermometerPlot.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Barry Klawans (bklawans@users.sourceforge.net)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface net.sf.jasperreports.engine.JRChartPlot

      `JRChartPlot.JRSeriesColor`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JRDataRange` | `getDataRange()` Returns the range of values displayed by this thermometer.
    `JRDataRange` | `getHighRange()` Returns the high range, or `null` if undefined.
    `JRDataRange` | `getLowRange()` Returns the low range, or `null` if undefined.
    `JRDataRange` | `getMediumRange()` Returns the medium range, or `null` if undefined.
    `java.awt.Color` | `getMercuryColor()` Returns the color of the "mercury" in the thermometer when the value is not in a defined range.
    `JRValueDisplay` | `getValueDisplay()` Returns formatting information for the textual representation of the value.
    `ValueLocationEnum` | `getValueLocationValue()` Returns the location where the value of the thermometer will be shown.
    `boolean` | `isShowValueLines()` Deprecated. No longer used.

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRChartPlot

      `addSeriesColor, clearSeriesColors, clone, collectExpressions, getBackcolor, getBackgroundAlphaFloat, getChart, getForegroundAlphaFloat, getLabelRotationDouble, getOrientation, getOrientationValue, getOwnBackcolor, getSeriesColors, setBackcolor, setBackgroundAlpha, setForegroundAlpha, setLabelRotation, setOrientation, setOrientation, setSeriesColors`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

- - ### Method Detail

    - #### getDataRange

          JRDataRange getDataRange()

      Returns the range of values displayed by this thermometer. This range corresponds with the scale on the thermometer.
      Returns:
        the range of values displayed by this thermometer

    - #### getValueDisplay

          JRValueDisplay getValueDisplay()

      Returns formatting information for the textual representation of the value.
      Returns:
        formatting information for the value

    - #### isShowValueLines

          boolean isShowValueLines()

      Deprecated. No longer used.

    - #### getValueLocationValue

          ValueLocationEnum getValueLocationValue()

      Returns the location where the value of the thermometer will be shown. The return value will be one of `net.sf.jasperreports.charts.type.ValueLocationEnum.NONE`, `net.sf.jasperreports.charts.type.ValueLocationEnum.LEFT`, `net.sf.jasperreports.charts.type.ValueLocationEnum.RIGHT` or `net.sf.jasperreports.charts.type.ValueLocationEnum.BULB`.
      Returns:
        the location where the value of the thermometer will be shown

    - #### getMercuryColor

          java.awt.Color getMercuryColor()

      Returns the color of the "mercury" in the thermometer when the value is not in a defined range.
      Returns:
        the default color of the mercury in the thermometer

    - #### getLowRange

          JRDataRange getLowRange()

      Returns the low range, or `null` if undefined.
      Returns:
        the low range, or `null` if undefined.

    - #### getMediumRange

          JRDataRange getMediumRange()

      Returns the medium range, or `null` if undefined.
      Returns:
        the medium range, or `null` if undefined.

    - #### getHighRange

          JRDataRange getHighRange()

      Returns the high range, or `null` if undefined.
      Returns:
        the high range, or `null` if undefined.

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com